### Method

# WPEPlatform GamepadManager remove_device

#### Declaration [src]

    void
    wpe_gamepad_manager_remove_device (
      WPEGamepadManager* manager,
      WPEGamepad* gamepad
    )

#### Description [src]

Remove `gamepad` from `manager` and emit the signal `WPEGamepadManager::device-removed` if it was present.

#### Parameters

`gamepad`

  Type: `WPEGamepad`

  A `WPEGamepad`.

  The data is owned by the caller of the method.